%define upstream_name    MooseX-Getopt
%define upstream_version 0.76

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Optional meta attribute trait for ignoring params
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/MooseX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Getopt::Long) >= 2.370.0
BuildRequires: perl(Getopt::Long::Descriptive) >= 0.88.0
BuildRequires: perl(Module::Build::Tiny) >= 0.34.0
BuildRequires: perl(Module::Metadata)
BuildRequires: perl(Module::Runtime)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Meta::Attribute)
BuildRequires: perl(Moose::Meta::Class)
BuildRequires: perl(Moose::Role) >= 0.560.0
BuildRequires: perl(Moose::Util)
BuildRequires: perl(Moose::Util::TypeConstraints)
BuildRequires: perl(MooseX::Role::Parameterized) >= 1.10.0
BuildRequires: perl(Path::Tiny) >= 0.9.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::Fatal) >= 0.3.0
BuildRequires: perl(Test::Moose)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::Needs)
BuildRequires: perl(Test::Trap)
BuildRequires: perl(Test::Warnings) >= 0.9.0
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(if)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%{?perl_default_filter}

%description
This is a role which provides an alternate constructor for creating objects
using parameters passed in from the command line.

This module attempts to DWIM as much as possible with the command line
params by introspecting your class's attributes. It will use the name of
your attribute as the command line option, and if there is a type
constraint defined, it will configure Getopt::Long to handle the option
accordingly.

You can use the trait the MooseX::Getopt::Meta::Attribute::Trait manpage or
the attribute metaclass the MooseX::Getopt::Meta::Attribute manpage to get
non-default commandline option names and aliases.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc CONTRIBUTING Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Wed Dec 20 2023 tv <tv> 0.760.0-1.mga10
+ Revision: 2020044
- update to 0.76

* Mon Mar 21 2022 umeabot <umeabot> 0.750.0-2.mga9
+ Revision: 1814211
- Mageia 9 Mass Rebuild

* Fri Mar 19 2021 tv <tv> 0.750.0-1.mga9
+ Revision: 1704787
- update to 0.75

* Thu Feb 13 2020 umeabot <umeabot> 0.740.0-2.mga8
+ Revision: 1514672
- Mageia 8 Mass Rebuild

* Thu Sep 27 2018 tv <tv> 0.740.0-1.mga7
+ Revision: 1308101
- update to 0.74

* Thu Sep 20 2018 umeabot <umeabot> 0.730.0-2.mga7
+ Revision: 1285076
- Mageia 7 Mass Rebuild

* Sat Sep 01 2018 tv <tv> 0.730.0-1.mga7
+ Revision: 1256122
- update to 0.73

* Wed Aug 08 2018 tv <tv> 0.720.0-1.mga7
+ Revision: 1250251
- update to 0.72

* Sat Jul 22 2017 shlomif <shlomif> 0.710.0-1.mga7
+ Revision: 1128815
- update to 0.71

* Sun Jun 19 2016 pterjan <pterjan> 0.690.0-2.mga6
+ Revision: 1030362
- Rebuild for perl 5.22.2

* Sat Apr 30 2016 shlomif <shlomif> 0.690.0-1.mga6
+ Revision: 1008092
- update to 0.69

* Thu Feb 18 2016 umeabot <umeabot> 0.680.0-2.mga6
+ Revision: 967321
- Mageia 6 Mass Rebuild

* Tue Jun 30 2015 sander85 <sander85> 0.680.0-1.mga6
+ Revision: 848666
- update to 0.68

* Wed Oct 15 2014 umeabot <umeabot> 0.650.0-4.mga5
+ Revision: 749810
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 0.650.0-3.mga5
+ Revision: 735786
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.650.0-2.mga5
+ Revision: 685535
- Mageia 5 Mass Rebuild

* Thu Aug 07 2014 sander85 <sander85> 0.650.0-1.mga5
+ Revision: 660524
- update to 0.65

* Sun Aug 03 2014 sander85 <sander85> 0.640.0-1.mga5
+ Revision: 659399
- update to 0.64

* Fri Apr 18 2014 jquelin <jquelin> 0.630.0-1.mga5
+ Revision: 616313
- update to 0.63

* Fri Mar 14 2014 jquelin <jquelin> 0.620.0-1.mga5
+ Revision: 603727
- update to 0.62

* Mon Feb 17 2014 jquelin <jquelin> 0.610.0-1.mga5
+ Revision: 593667
- update to 0.61

* Sat Feb 08 2014 sander85 <sander85> 0.590.0-1.mga5
+ Revision: 586254
- update to 0.59

* Sat Oct 19 2013 umeabot <umeabot> 0.580.0-2.mga4
+ Revision: 534760
- Mageia 4 Mass Rebuild

* Fri Sep 13 2013 sander85 <sander85> 0.580.0-1.mga4
+ Revision: 478721
- update to 0.58

* Sun Sep 08 2013 sander85 <sander85> 0.570.0-1.mga4
+ Revision: 476367
- update to 0.57

* Mon Jun 10 2013 jquelin <jquelin> 0.560.0-1.mga4
+ Revision: 441694
- update to 0.56

* Sun Jan 13 2013 umeabot <umeabot> 0.500.0-2.mga3
+ Revision: 370183
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 0.500.0-1.mga3
+ Revision: 342394
- update to 0.50

* Fri Aug 31 2012 kharec <kharec> 0.470.0-1.mga3
+ Revision: 286322
- update to 0.47

* Tue Jun 05 2012 jquelin <jquelin> 0.450.0-1.mga3
+ Revision: 255171
- update to 0.45

* Thu Feb 23 2012 jquelin <jquelin> 0.390.0-1.mga2
+ Revision: 213062
- update to 0.39

* Thu Jan 05 2012 jquelin <jquelin> 0.380.0-1.mga2
+ Revision: 191223
- update to 0.38

* Mon Apr 04 2011 jquelin <jquelin> 0.370.0-1.mga1
+ Revision: 80383
- update to 0.37

* Wed Feb 16 2011 jquelin <jquelin> 0.350.0-1.mga1
+ Revision: 52595
- update to 0.35

* Sun Jan 23 2011 jquelin <jquelin> 0.330.0-1.mga1
+ Revision: 33966
- mageia rebuild
- imported package perl-MooseX-Getopt

